Public Member Functions

# LinkGraph::ConstNode Class Reference

Constant node class. More...

`#include <linkgraph.h>`

Inheritance diagram for LinkGraph::ConstNode:

## Public Member Functions
| ConstNode (const LinkGraph *lg, NodeID node)
| Constructor.
ConstEdge | operator[] (NodeID to) const
| Get a ConstEdge.
ConstEdgeIterator | Begin () const
| Get an iterator pointing to the start of the edges array.
ConstEdgeIterator | End () const
| Get an iterator pointing beyond the end of the edges array.

## Detailed Description

Constant node class.

Only retrieval operations are allowed on both the node itself and its edges.

Definition at line 324 of file linkgraph.h.

## Constructor & Destructor Documentation

LinkGraph::ConstNode::ConstNode | ( | const LinkGraph * | lg,
|  | NodeID | node |
| ) |  |  | `[inline]`

Constructor.

Parameters:

  | lg | LinkGraph to get the node from.
  | node | ID of the node.

Definition at line 331 of file linkgraph.h.

## Member Function Documentation

ConstEdgeIterator LinkGraph::ConstNode::Begin | ( |  | ) | const`[inline]`

Get an iterator pointing to the start of the edges array.

Returns:
  Constant edge iterator.

Reimplemented in LinkGraphJob::Node.

Definition at line 347 of file linkgraph.h.

References LinkGraph::NodeWrapper< const BaseNode, const BaseEdge >::edges, and LinkGraph::NodeWrapper< const BaseNode, const BaseEdge >::index.

Referenced by LinkGraphOverlay::RebuildCache().

ConstEdgeIterator LinkGraph::ConstNode::End | ( |  | ) | const`[inline]`

Get an iterator pointing beyond the end of the edges array.

Returns:
  Constant edge iterator.

Reimplemented in LinkGraphJob::Node.

Definition at line 353 of file linkgraph.h.

References LinkGraph::NodeWrapper< const BaseNode, const BaseEdge >::edges.

Referenced by LinkGraphOverlay::RebuildCache().

ConstEdge LinkGraph::ConstNode::operator[] | ( | NodeID | to | ) | const`[inline]`

Get a ConstEdge.

This is not a reference as the wrapper objects are not actually persistent.

Parameters:

  | to | ID of end node of edge.

Returns:
  Constant edge wrapper.

Reimplemented in LinkGraphJob::Node.

Definition at line 341 of file linkgraph.h.

References LinkGraph::NodeWrapper< const BaseNode, const BaseEdge >::edges.

The documentation for this class was generated from the following file:

- src/linkgraph/linkgraph.h